org.apache.tinkerpop.gremlin.jsr223

## Class ScriptEngineLambdaTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.ScriptEngineLambdaTest

-     public class ScriptEngineLambdaTest
      extends Object

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScriptEngineLambdaTest.Junk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptEngineLambdaTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldCallAsBiConsumer()`
    `void` | `shouldCallAsConsumer()`
    `void` | `shouldCallAsFunction()`
    `void` | `shouldCallAsOneArgFunction()`
    `void` | `shouldCallAsOneArgPredicate()`
    `void` | `shouldCallAsPredicate()`
    `void` | `shouldCallAsSupplier()`
    `void` | `shouldCallAsTriConsumer()`
    `void` | `shouldCallTrivialFunction()`
    `void` | `shouldThrowOnBadScriptAsBiConsumer()`
    `void` | `shouldThrowOnBadScriptAsConsumer()`
    `void` | `shouldThrowOnBadScriptAsFunction()`
    `void` | `shouldThrowOnBadScriptAsPredicate()`
    `void` | `shouldThrowOnBadScriptAsSupplier()`
    `void` | `shouldThrowOnBadScriptAsTriConsumer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptEngineLambdaTest

          public ScriptEngineLambdaTest()

  - ### Method Detail

    - #### shouldCallAsFunction

          public void shouldCallAsFunction()

    - #### shouldThrowOnBadScriptAsFunction

          public void shouldThrowOnBadScriptAsFunction()

    - #### shouldCallAsSupplier

          public void shouldCallAsSupplier()

    - #### shouldThrowOnBadScriptAsSupplier

          public void shouldThrowOnBadScriptAsSupplier()

    - #### shouldCallAsPredicate

          public void shouldCallAsPredicate()

    - #### shouldThrowOnBadScriptAsPredicate

          public void shouldThrowOnBadScriptAsPredicate()

    - #### shouldCallAsConsumer

          public void shouldCallAsConsumer()

    - #### shouldThrowOnBadScriptAsConsumer

          public void shouldThrowOnBadScriptAsConsumer()

    - #### shouldCallAsBiConsumer

          public void shouldCallAsBiConsumer()

    - #### shouldThrowOnBadScriptAsBiConsumer

          public void shouldThrowOnBadScriptAsBiConsumer()

    - #### shouldCallAsTriConsumer

          public void shouldCallAsTriConsumer()

    - #### shouldThrowOnBadScriptAsTriConsumer

          public void shouldThrowOnBadScriptAsTriConsumer()

    - #### shouldCallAsOneArgPredicate

          public void shouldCallAsOneArgPredicate()

    - #### shouldCallTrivialFunction

          public void shouldCallTrivialFunction()

    - #### shouldCallAsOneArgFunction

          public void shouldCallAsOneArgFunction()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.